> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration.md).

# Job Configuration

Reference page to ServoyCloud job configuration settings

## Overview

Jobs in Servoy Cloud can be configured using a set of predefined and custom properties, depending on the job type.

{% hint style="info" %}
For Production or a Pre-production Build and Deploy jobs, configuring job properties is only available to users with [Administrator ](/reference/servoy-cloud/cloud-control-center/administration/admin-users/cloud-roles.md#administrator-role)role
{% endhint %}

### Edit Job Name

To modify the name of a job within your namespace in the Servoy Cloud Control Center, follow the steps below:

1. Navigate to the **Job Configuration** page.
2. Locate the **Edit Job Name** button, which is situated in the top right corner of the page.
3. Click on the **Edit Job Name** button.
4. Enter a new, unique name for your job in the provided field.
5. Click **Save** to apply the changes and update the job name.

\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
